<?xml version="1.0"?>
<html xmlns="http://www.w3.org/1999/xhtml">
  <head>
    <title>
      TextGrid : Installing and Removing Software
    </title>
    <link rel="stylesheet" href="styles/site.css" type="text/css"/>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8"/>
  </head>
  <body class="theme-default aui-theme-default">
    <div id="page">
      <div id="main" class="aui-page-panel">
        <div id="main-header">
          <div id="breadcrumb-section">
            <ol id="breadcrumbs">
              <li class="first">
                <span><a href="index.html">TextGrid</a></span>
              </li>
              <li>
                <span><a href="User-Manual-2.0_7439056.html">User Manual 2.0</a></span>
              </li>
              <li>
                <span><a href="Introduction_7439941.html">Introduction</a></span>
              </li>
              <li>
                <span><a href="Getting-Started_7439062.html">Getting Started</a></span>
              </li>
            </ol>
          </div>
          <h1 id="title-heading" class="pagetitle">
            <span id="title-text">TextGrid : Installing and Removing Software</span>
          </h1>
        </div>
        <div id="content" class="view">
          <div class="page-metadata">
            Created by <span class="author">Philipp Vanscheidt</span>, last modified on Sep 17, 2012
          </div>
          <div id="main-content" class="wiki-content group">
            <h1 id="InstallingandRemovingSoftware-Installingsoftwaredirectlyfromupdatesites">
              Installing software directly from update sites
            </h1>
            <p>
              To browse an update site and directly install software from it (that may not yet be part of the <a href="Marketplace_8130167.html">Marketplace</a>), 
            </p>
            <ol>
              <li>Open the wizard at <em>Help → Install New Software</em>
              </li>
              <li>Select the update site you want to browse from the <em>Work with</em> drop down, or enter its URL (see the list above) into the drop down's input field and press your Enter key
              </li>
              <li>Check the tool(s) you wish to install in the tree below
              </li>
              <li>Work through the rest of the wizard using the <em>Next</em> and <em>Finish</em> buttons.
              </li>
            </ol>
            <p>
              You will need to restart the TextGridLab after installing software.
            </p>
            <div class="aui-message hint shadowed information-macro">
              <span class="aui-icon icon-hint">Icon</span>
              <div class="message-content">
                <p>
                  You are not neccessarily limited to TextGridLab tools – you can theoretically install any Eclipse plug-in into the TextGridLab using this method. However, tools that are neither at our update site nor in our marketplace have not been tested to work with TextGridLab, and thus may not work.
                </p>
              </div>
            </div>
            <h1 id="InstallingandRemovingSoftware-Removingtools">
              Removing tools
            </h1>
            <p>
              You can remove tools you no longer need from your TextGridLab installation by way of the <em>installation detail</em> dialog:
            </p>
            <ol>
              <li>Open the <em>About TextGridLab</em> dialog from the <em>Help</em> menu (or the <em>TextGridLab</em> menu on Mac OS)
              </li>
              <li>Click the <em>Installation Details</em> button to open the corresponding dialog
              </li>
              <li>On the <em>Installed Software</em> page, select the tool(s) you wish to uninstall and click the <em>Uninstall</em> button.
              </li>
              <li>The uninstall wizard will list everything to be uninstalled. Click <em>Finish</em>.
              </li>
              <li>After uninstallation, you should restart the TextGridLab as recommended.
              </li>
            </ol>
            <p>
              Note that you cannot remove tools that are TextGridLab base components or that other tools depend on.
            </p>
            <p>
               
            </p>
          </div>
        </div>
      </div>
      <div id="footer" role="contentinfo">
        <section class="footer-body">
          
          <div id="footer-logo">
            <a href="http://www.atlassian.com/">Atlassian</a>
          </div>
        </section>
      </div>
    </div>
  </body>
</html>
